Skip to content

Create a base image

POST
/v1/admin/base-images

Creates a new base image entry. Action must be "flash" or "erase".

Authorizations

BearerAuth

API key (Bearer key_...)

Type
API Key (header: Authorization)

Request Body

application/json
JSON
{
  
"action": "string",
  
"board_type": "string",
  
"created_at": "string",
  
"description": "string",
  
"enabled": true,
  
"flash_offset": "string",
  
"id": "string",
  
"name": "string",
  
"position": 0,
  
"url": "string"
}

Responses

Created

application/json
JSON
{
  
"action": "string",
  
"board_type": "string",
  
"created_at": "string",
  
"description": "string",
  
"enabled": true,
  
"flash_offset": "string",
  
"id": "string",
  
"name": "string",
  
"position": 0,
  
"url": "string"
}

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI